=== debian/changelog ===
ros-humble-rmf-visualization-obstacles (2.0.2-1bookworm) bookworm; urgency=high

  * Port version bump and changes from main to humble
  * Switch to rst changelogs (#57 <https://github.com/open-rmf/rmf_visualization/issues/57>)
  * Contributors: Esteban Martinena, Grey, Yadunund

 -- Yadunund <yadunund@openrobotics.com>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rmf-visualization-obstacles (2.0.1-1bookworm) bookworm; urgency=high



 -- Yadunund <yadunund@openrobotics.com>  Mon, 14 Nov 2022 16:00:00 -0000

ros-humble-rmf-visualization-obstacles (2.0.0-1bookworm) bookworm; urgency=high

  * Provides visualizer for obstacles: (#44 <https://github.com/open-rmf/rmf_visualization/pull/44>)

 -- Yadunund <yadunund@openrobotics.com>  Sun, 02 Oct 2022 16:00:00 -0000
